Yaf_Route_Simple::assemble
Yaf_Route_Simple::route
Yaf_Route_Simple
PHP Manual

# Yaf_Route_Simple::__construct

Yaf_Route_Simple constructor

### Description

public Yaf_Route_Simple::__construct ( string `$module_name` , string `$controller_name` , string `$action_name` )

Yaf_Route_Simple will get route info from query string. and the parameters of this constructor will used as keys while searching for the route info in $_GET.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`module_name`

  The key name of the module info.

`controller_name`

  the key name of the controller info.

`action_name`

  the key name of the action info.

### Return Values

Always return `TRUE`.

### Examples

Example #1 Yaf_Route_Simple::routeexample

`<?php
$route = new Yaf_Route_Simple("m", "controller", "act");
Yaf_Router::getInstance()->addRoute("simple", $route);
?>`

Example #2 Yaf_Route_Simple::routeexample

    Request: http://yourdomain.com/path/?controller=a&act=b
    => module = default(index), controller = a, action = b

    Request: http://yourdomain.com/path
    => module = default(index), controller = default(index), action = default(index)

### See Also

- Yaf_Route_Supervar::route
- Yaf_Route_Static::route
- Yaf_Route_Regex::route
- Yaf_Route_Rewrite::route
- Yaf_Route_Map::route